## sms4you 0.0.7

=== Makefile ===
SOURCES=sms4you sms4you-email sms4you-xmpp
LENGTH=96

all: sms4you.1 index.html

check: $(SOURCES)
	flake8 --max-line-length=$(LENGTH) $^
	black --check --line-length $(LENGTH) $^
	#pylint -E $^

black: $(SOURCES)
	black --line-length $(LENGTH) $^


sms4you.1: README.rst
	cat $< \
	    | sed -e '0,/^$$/s//:Manual section: 1\n/' \
	    | rst2man \
	    | grep -v '^\[image: ' \
	      > $@

index.html: README.rst
	rst2html $< > $@

clean:
	rm -f sms4you.1 index.html

=== docs/slides/Makefile ===
index.html: sms4you.rst
	hovercraft sms4you.rst .

clean:
	rm -rf css/ index.html js/ *~

=== debian/changelog ===
sms4you (0.0.7-4) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * Remove build-dep on markdown

 -- Martin <debacle@debian.org>  Mon, 10 Jun 2024 21:42:19 +0000

sms4you (0.0.7-3) unstable; urgency=medium

  * Fix debian/clean (Closes: #1047994)

 -- Martin <debacle@debian.org>  Wed, 15 May 2024 15:34:48 +0000

sms4you (0.0.7-2) unstable; urgency=medium

  * Add debian/watch file
  * Update upstream homepage
  * Add equivalent of sms4you.pkla for polkit >= 0.106 (Closes: #1015160)

 -- Martin <debacle@debian.org>  Tue, 28 Feb 2023 22:52:25 +0000

sms4you (0.0.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:47:07 +0200

sms4you (0.0.7-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sun, 10 May 2020 20:32:29 +0000

sms4you (0.0.6-1) unstable; urgency=medium

  * New upstream version
    - daemon runs as user _sms4you now, not root

 -- Martin <debacle@debian.org>  Tue, 28 Apr 2020 15:14:49 +0000

sms4you (0.0.4-2) unstable; urgency=medium

  * Add manual page
  * Add slides to sms4you-doc
  * Fix missing dependency in sms4you-email

 -- Martin <debacle@debian.org>  Sun, 29 Mar 2020 20:19:24 +0000

sms4you (0.0.4-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sun, 29 Mar 2020 11:45:36 +0000

sms4you (0.0.1-2) experimental; urgency=medium

  * Add some upstream features (e.g. send SIM PIN, vcard)

 -- Martin <debacle@debian.org>  Sun, 09 Feb 2020 23:28:54 +0000

sms4you (0.0.1-1) experimental; urgency=medium

  * Initial package (Closes: #945191)

 -- Martin <debacle@debian.org>  Sun, 05 Jan 2020 22:49:42 +0000

=== debian/control ===
Source: sms4you
Section: comm
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-python,
	hovercraft,
	python3,
	python3-asgiref,
	python3-dbussy,
	python3-docutils,
	python3-sdnotify,
	python3-setuptools,
	python3-slixmpp,
	python3-systemd,
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: https://sms4you-team.pages.debian.net/sms4you
Vcs-Browser: https://salsa.debian.org/xmpp-team/sms4you
Vcs-Git: https://salsa.debian.org/xmpp-team/sms4you.git

Package: sms4you
Section: comm
Architecture: all
Depends: adduser,
	modemmanager,
	python3,
	python3-dbussy,
	python3-sdnotify,
	python3-systemd,
	sms4you-xmpp (= ${source:Version}) | sms4you-email (= ${source:Version}),
	${misc:Depends},
	${python3:Depends},
Recommends: sms4you-doc
Suggests: usb-modeswitch
Description: Personal gateway connecting SMS to XMPP or email
 sms4you forwards messages from and to SMS and connects either with
 sms4you-xmpp or sms4you-email to choose the other mean of
 communication. Nice for receiving or sending SMS, independently from
 carrying a SIM card.
 .
 This package contains the common files.

Package: sms4you-xmpp
Section: comm
Architecture: all
Depends: prosody | ejabberd | xmpp-server,
	python3,
	python3-slixmpp,
	sms4you (= ${source:Version}),
	${misc:Depends},
	${python3:Depends},
Description: Personal gateway connecting SMS to XMPP
 sms4you forwards messages from and to SMS and connects either with
 sms4you-xmpp or sms4you-email to choose the other mean of
 communication. Nice for receiving or sending SMS, independently from
 carrying a SIM card.
 .
 This package contains the XMPP component.

Package: sms4you-email
Section: comm
Architecture: all
Depends: python3,
	python3-asgiref,
	sms4you (= ${source:Version}),
	${misc:Depends},
	${python3:Depends},
Description: Personal gateway connecting SMS to email
 sms4you forwards messages from and to SMS and connects either with
 sms4you-xmpp or sms4you-email to choose the other means of
 communication. Nice for receiving or sending SMS, independently from
 carrying a SIM card.
 .
 This package contains the email forwarding daemon.

Package: sms4you-doc
Section: doc
Architecture: all
Depends: hovercraft,
	${misc:Depends},
Suggests: libjs-impress,
Description: Personal gateway connecting SMS to XMPP or email - documentation
 sms4you forwards messages from and to SMS and connects either with
 sms4you-xmpp or sms4you-email to choose the other means of
 communication. Nice for receiving or sending SMS, independently from
 carrying a SIM card.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --system=pybuild

override_dh_auto_build:

override_dh_auto_test:

tmp/sms4you: sms4you/sms4you/sms4you.py
	-mkdir tmp
	cp $< $@

sms4you.1: README.rst
	$(MAKE) sms4you.1

override_dh_installman: sms4you.1
	dh_installman

override_dh_install: tmp/sms4you
	dh_install

index.html: README.rst
	rst2html $< > $@

docs/slides/index.html:
	cd $(@D); $(MAKE); rm -rf ./css/ ./js/

override_dh_installdocs: index.html docs/slides/index.html
	dh_installdocs

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?\/sms4you-v?(\d\S+)\.tar\.gz/sms4you-$1\.tar\.gz/ \
 https://salsa.debian.org/xamanu/sms4you/tags .*?v?\d\S+/sms4you-v?(\d\S+)\.tar\.gz
